ETS 2 ModsETS2 Other Mods

ETS2 – Alexd No Damage V1.1 (1.33.x)

This mod requires ETS2 1.27.x – 1.33.x.

V 1.1 – added more version of the game
Fix something with
ALEXD No Damage Mod For 1.33.x
Supported game versions: ETS2 – (1.33.x)

Authors: ALEXD

Leave a Reply

Your email address will not be published. Required fields are marked *

Back to top button
Close